Web lists-archives.com

Re: [Samba] Upgrade 4.8 to 4.9 with Backend-Change to lmdb?




Hi Louis,

you could use the systemd "requires=" directive to enforce, that
samba/smbd is running before winbind.

Hth

Oliver


On 27.09.2018 12:04, L.P.H. van Belle via samba wrote:
> Hai,  
> Small comment here.. 
>
>> Not saying you shouldn't add it and like you, I always add it if
>> required, but what I was trying to point out to Louis is, you don't
>> need to add it to a standalone server, it is already there, 
>> even if you cannot see it ;-)
> In Debian i noticed the start up orders wanting to start winbind before smbd and which we can change to avoid this. 
> Im now testing a bit to these orders as other temp workaround.
> But without risking a not starting smbd if winbind is running. 
> Im testing with. 
>
> [Unit]
> PartOf=
> BindsTo=
>
> [Service]
> Restart=on-failure
> RestartSec=30s
>
>> The problem that Louis has with installing samba, doesn't have anything
>> to do with those lines. It is that smbd will not run on a standalone
>> server if winbind is already running, stop winbind, make no changes
>> (i.e. don't add the lines Louis suggest) and smbd will start without
>> error.
> If you dont install winbind .. 
>
> Greetz, 
>
> Louis
>
>


-- 
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba